/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.datasource;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：数据库节点
*
* createdate:  2021-03-16 16:24:39  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据库节点")
public class SaaSDataSourceQueryDto implements Serializable
{
  /**
   * 数据库集群<br>
   */
  @ApiModelProperty("数据库集群")
  private String clusterId;
  /**
   * 数据库类型<br>
   */
  @ApiModelProperty("数据库类型")
  private String databaseType;
  /**
   * 节点类型 master-主；slaver-从<br>
   */
  @ApiModelProperty("节点类型 master-主；slaver-从")
  private String nodeType;
  /**
   * IP地址<br>
   */
  @ApiModelProperty("IP地址")
  private String srvIp;
  /**
   * 端口<br>
   */
  @ApiModelProperty("端口")
  private Integer srvPort;
  /**
   * 驱动名称<br>
   */
  @ApiModelProperty("驱动名称")
  private String driverClassName;
  /**
   * 连接地址<br>
   */
  @ApiModelProperty("连接地址")
  private String url;
  /**
   * 用户名<br>
   */
  @ApiModelProperty("用户名")
  private String username;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;

  public String getClusterId()
  {
    return clusterId;
  }

  public void setClusterId(String clusterId)
  {
    this.clusterId = clusterId;
  }

  public String getDatabaseType()
  {
    return databaseType;
  }

  public void setDatabaseType(String databaseType)
  {
    this.databaseType = databaseType;
  }

  public String getNodeType()
  {
    return nodeType;
  }

  public void setNodeType(String nodeType)
  {
    this.nodeType = nodeType;
  }

  public String getSrvIp()
  {
    return srvIp;
  }

  public void setSrvIp(String srvIp)
  {
    this.srvIp = srvIp;
  }

  public Integer getSrvPort()
  {
    return srvPort;
  }

  public void setSrvPort(Integer srvPort)
  {
    this.srvPort = srvPort;
  }

  public String getDriverClassName()
  {
    return driverClassName;
  }

  public void setDriverClassName(String driverClassName)
  {
    this.driverClassName = driverClassName;
  }

  public String getUrl()
  {
    return url;
  }

  public void setUrl(String url)
  {
    this.url = url;
  }

  public String getUsername()
  {
    return username;
  }

  public void setUsername(String username)
  {
    this.username = username;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }
}